#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>

int getline(char s[], int lim){
	int i, c;
	for (i=0; i<lim && (c=getchar()) != EOF && c != '\n'; ++i) {
		s[i] = c;
	}
	s[i] = '\0';
	return (i);
}

int szame(char s[]){
int i,ok=1,h=0,n=0;
h=strlen(s);

for(i=0;i<h;i++){
	if(!isdigit(s[i])){ok=0;}
	else{
		n=atoi(s);	
		
		if(n<140 || n>198){ok=0;}
	}
}
return ok;	
}


void main(void){
char s[128];
int sz[128];
int i,ok=1,db=0,h=0,n=0,q=0,min=0,k=0,max,kul,ossz=0,a=0,b=0,c=0,d=0;	
float atl=0;

printf("\tPulzusszam dokumentalo program\n");
printf("Minden egyes adat 5 masodperces mintavetelezest jelent!\n\n\n");	

do{
	{printf("Adja meg %d adatot(csak egesz szam, 140 es 198 kozott):\n",db+1);}
do{	
h=getline(s,128);

if(h>0){	

	if(szame(s)){
	ok=1; 	
	n=atoi(s);
	sz[db]=n;
	db++;
		
	}
	else{ok=0; printf("Nem jo,adja meg ujra!\n");}
}
}while(ok!=1 && h!=0);
}while(db!=12 && h!=0);

min=sz[0];
for(i=1;i<db;i++){
	if(sz[i]<min){min=sz[i]; q=i;}

}
printf("A legalacsonyabb ertek: %d, a %d ertek volt az osszes kozul\n",min,q+1);

max=sz[0];
for(i=1;i<db;i++){
	if(sz[i]>max){max=sz[i]; k=i;}

}

kul=(k-q);

if(kul>0){
printf("A legmagasabb ertek: %d, es ez %d masodperccel volt a minimum ertek utan\n",max,kul*5);
if(kul<0){
	kul=kul*-5;
	printf("A legmagasabb ertek: %d, es ez %d masodperccel volt a minimum ertek elott\n",max,kul);
}
}

for(i=0;i<db;i++){
	ossz=ossz+sz[i];
}

(float) atl= (float) ossz / (float) db-1;

printf("Az atlapulzus: %0.2f\n",atl);

if(atl>max){
printf("Ez %0.2f-vel ter el a maximumtol\n",atl-(float)max);
}

if(atl<max){
printf("Ez %0.2f-vel ter el a maximumtol\n",(atl-(float)max)*-1);
}

if(atl>max){
printf("Ez %0.2f-vel ter el a minimumtol\n",(atl-(float)min)*-1);
}

if(atl<max){
printf("Ez %0.2f-vel ter el a minimumtol\n",(atl-(float)min));
}

i=198;

if(max==198){printf("A sportolo elerte a maximalis pulzuserteket(198)\n");}
else{printf("A sportolo nem erte el a maximalis(198-as) pulzuserteket\n%d-vel maradt alatta\n",i-max);}

for(i=0;i<db;i++){
if(sz[i]<171 && n>139){a++;}
if(sz[i]<186 && n>170){b++;}	
if(sz[i]<199 && n>185){c++;}
	
}

printf("A sportolo %d masodpercet toltott a 140-170 pulzus-zonaban\n",a*5);
printf("A sportolo %d masodpercet toltott a 140-170 pulzus-zonaban\n",b*5);
printf("A sportolo %d masodpercet toltott a 140-170 pulzus-zonaban\n",c*5);
}
